## openssl 3.0.5

=== debian/changelog ===
openssl (3.0.5-4) unstable; urgency=medium

  * Add ssl_conf() serialisation (Closes: #1020308).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 19 Sep 2022 21:59:19 +0200

openssl (3.0.5-3) unstable; urgency=medium

  * Add cert.pem symlink pointing to ca-certificates' ca-certificates.crt
   (Closes: #805646).
  * Compile with OPENSSL_TLS_SECURITY_LEVEL=2 (Closes: #918727).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 18 Sep 2022 21:48:05 +0200

openssl (3.0.5-2) unstable; urgency=medium

  * Update to commit ce3951fc30c7b ("VC++ 2008 or earlier x86 compilers…")
    (Closes: #1016290).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 14 Aug 2022 21:57:05 +0200

openssl (3.0.5-1) unstable; urgency=medium

  * Import 3.0.5
    - Possible module_list_lock crash (Closes: #1013309).
    - CVE-2022-2097 (AES OCB fails to encrypt some bytes).
  * Update to 55461bf22a57a ("Don't try to make configuration leaner")
  * Use -latomic on arc,nios2 and sparc (Closes: #1015792).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 24 Jul 2022 16:30:30 +0200

openssl (3.0.4-2) unstable; urgency=medium

  * Address a AVX2 related memory corruption (Closes: #1013441)
    (CVE-2022-2274).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 24 Jun 2022 19:27:02 +0200

openssl (3.0.4-1) unstable; urgency=medium

  * Import 3.0.4
    - CVE-2022-2068 (The c_rehash script allows command injection)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 22 Jun 2022 08:04:00 +0200

openssl (3.0.3-8) unstable; urgency=medium

  * Update to openssl-3.0 head.
  * Avoid reusing the init_lock for a different purpose (Closes: #1011339).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 13 Jun 2022 22:16:39 +0200

openssl (3.0.3-7) unstable; urgency=medium

  * Remove the provider section from the provided openssl.cnf
   (Closes: #1011051).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 08 Jun 2022 23:10:14 +0200

openssl (3.0.3-6) unstable; urgency=medium

  * Update to openssl-3.0 head which fixes the expired certs in the testsuite.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 04 Jun 2022 15:25:53 +0200

openssl (3.0.3-5) unstable; urgency=medium

  * Don't generate endbr32 opcodes on i386. Thanks to Wolfgang Walter
    (Closes: #1011127).
  * Backport more compare fixes from upstream.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 20 May 2022 22:01:29 +0200

openssl (3.0.3-4) unstable; urgency=medium

  * Add an init to EVP_PKEY_Q_keygen(). GH#18247, reference 1010958.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 16 May 2022 23:20:27 +0200

openssl (3.0.3-3) unstable; urgency=medium

  * Revert "Use .s extension for ia64 assembler" and don't zero used
    registers. Thanks to John Paul Adrian Glaubitz for debugging
    (Closes: #1010975).
  * Don't build ev4/ev5 optimized libraries on alpha.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 14 May 2022 21:50:31 +0200

openssl (3.0.3-2) unstable; urgency=medium

  * Update standards to 4.6.1. No changes were needed.
  * Upload to unstable.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 13 May 2022 23:25:01 +0200

openssl (3.0.3-1) experimental; urgency=medium

  * Import 3.0.3
    - CVE-2022-1292 (The c_rehash script allows command injection).
    - CVE-2022-1343 (OCSP_basic_verify may incorrectly verify the response
      signing certificate).
    - CVE-2022-1434 (Incorrect MAC key used in the RC4-MD5 ciphersuite).
    - CVE-2022-1473 (Resource leakage when decoding certificates and keys).
    - Add new symbols.
  * Correct the openssl.cnf to provide proper default configuration. Thanks to
    Matthias Blümel (Closes: #1010360).
  * Use a separator in the CipherString in openssl.cnf (Closes: #948800).
  * Remove the postinst script which was used to restart daemons after a
    library upgrade. It is not updated and essentially dead code. Users are
    advised to switch to checkrestart/ needrestart or a similar service.
    Thanks to Helmut Grohne (Closes: #983722).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 06 May 2022 22:21:52 +0200

openssl (3.0.2-1) experimental; urgency=medium

  * Import 3.0.2
    - CVE-2022-0778 (Infinite loop in BN_mod_sqrt() reachable when parsing
      certificates).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 15 Mar 2022 20:54:57 +0100

openssl (3.0.1-1) experimental; urgency=medium

  * Import 3.0.1
    - CVE-2021-4044 (Fixed invalid handling of X509_verify_cert() internal
      errors in libssl).
    - CVE-2021-4160 (Carry propagation bug in the MIPS32 and MIPS64 squaring
      procedure.)
  * Zero used registers at function exit.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 27 Dec 2021 11:44:50 +0100
