## openssl 3.0.8

=== debian/changelog ===
openssl (3.0.8-1ubuntu1) lunar; urgency=medium

  * Merge 3.0.8 from Debian testing (LP: #2006954)
    - Remaining changes:
      + Symlink changelog{,.Debian}.gz and copyright.gz from libssl-dev to
        openssl
      + d/libssl3.postinst: Revert Debian deletion
        - Skip services restart & reboot notification if needrestart is in-use.
        - Bump version check to 1.1.1 (bug opened as LP: #1999139)
        - Use a different priority for libssl1.1/restart-services depending
          on whether a desktop, or server dist-upgrade is being performed.
        - Import libraries/restart-without-asking template as used by above.
      + Add support for building with noudeb build profile.
      + Use perl:native in the autopkgtest for installability on i386.

 -- Adrien Nader <adrien.nader@canonical.com>  Mon, 20 Feb 2023 16:10:19 +0100

openssl (3.0.8-1) unstable; urgency=medium

  * Import 3.0.7
    - CVE-2023-0401 (NULL dereference during PKCS7 data verification).
    - CVE-2023-0286 (X.400 address type confusion in X.509 GeneralName).
    - CVE-2023-0217 (NULL dereference validating DSA public key).
    - CVE-2023-0216 (Invalid pointer dereference in d2i_PKCS7 functions).
    - CVE-2023-0215 (Use-after-free following BIO_new_NDEF).
    - CVE-2022-4450 (Double free after calling PEM_read_bio_ex).
    - CVE-2022-4304 (Timing Oracle in RSA Decryption).
    - CVE-2022-4203 (X.509 Name Constraints Read Buffer Overflow).
    - Padlock: fix byte swapping assembly for AES-192 and 256
      (Closes: #1029259).
    - Add new symbol.
  * Make loongarch64 little endian (Closes: #1029281).
  * Drop conflict against libssl1.0-dev.
  * Update Standards-Version to 4.6.1. No changes required.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 07 Feb 2023 21:42:42 +0100

openssl (3.0.7-2) unstable; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * CVE-2022-3996 (X.509 Policy Constraints Double Locking) (Closes: #1027102).
  * Add loongarch64 target (Closes: #1024414).
  * Avoid SIGSEGV with engines, reported by ValdikSS (Closes: #1028898).
  * Set digestname from argv[0] if it is a builtin hash name
   (Closes:# 1025461).

  [ Helmut Grohne ]
  * Support the noudeb build profile (Closes: #1024929).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 19 Jan 2023 21:31:42 +0100

openssl (3.0.7-1ubuntu1) lunar; urgency=medium

  * Merge 3.0.7 from Debian unstable (LP: #1998942)
    - Drop patches merged upstream:
      + CVE-2022-3358.patch
      + CVE-2022-3602-1.patch
      + CVE-2022-3602-2.patch
    - Shrink patch since upstream fixed some tests in the patch above:
      + tests-use-seclevel-1.patch
    - Drop patch since -DOPENSSL_TLS_SECURITY_LEVEL=2 is now hard-coded:
      + Set-systemwide-default-settings-for-libssl-users.patch
    - Drop Debian patch not needed anymore:
      + TEST-Provide-a-default-openssl.cnf-for-tests.patch
    - Mention Debian as defaulting to SECLEVEL=2 in addition to Ubuntu:
      + tls1.2-min-seclevel2.patch
    - Remaining changes:
      + Symlink changelog{,.Debian}.gz and copyright.gz from libssl-dev to
        openssl
      + d/libssl3.postinst: Revert Debian deletion
        - Skip services restart & reboot notification if needrestart is in-use.
        - Bump version check to 1.1.1 (bug opened as LP: #1999139)
        - Use a different priority for libssl1.1/restart-services depending
          on whether a desktop, or server dist-upgrade is being performed.
        - Import libraries/restart-without-asking template as used by above.
      + Add support for building with noudeb build profile.
      + Use perl:native in the autopkgtest for installability on i386.
  * Correct comment as to which TLS version is disabled with our seclevel:
    - skip_tls1.1_seclevel3_tests.patch

  [Sebastian Andrzej Siewior]
  * CVE-2022-3996 (X.509 Policy Constraints Double Locking).

 -- Adrien Nader <adrien.nader@canonical.com>  Tue, 06 Dec 2022 15:11:40 +0100

openssl (3.0.7-1) unstable; urgency=medium

  * Import 3.0.7
    - Using a Custom Cipher with NID_undef may lead to NULL encryption
      (CVE-2022-3358) (Closes: #1021620).
    - X.509 Email Address 4-byte Buffer Overflow (CVE-2022-3602).
    - X.509 Email Address Variable Length Buffer Overflow (CVE-2022-3786).
  * Disable rdrand engine (the opcode on x86).
  * Remove config bits for MIPS R6, the generic MIPS config can be used.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 01 Nov 2022 21:39:01 +0100

openssl (3.0.5-2ubuntu2) kinetic-security; urgency=medium

  * SECURITY UPDATE: X.509 Email Address Buffer Overflow
    - debian/patches/CVE-2022-3602-1.patch: fix off by one in punycode
      decoder in crypto/punycode.c, test/build.info, test/punycode_test.c,
      test/recipes/04-test_punycode.t.
    - debian/patches/CVE-2022-3602-2.patch: ensure the result is zero
      terminated in crypto/punycode.c.
    - CVE-2022-3602
  * SECURITY UPDATE: legacy custom cipher issue
    - debian/patches/CVE-2022-3358.patch: fix usage of custom EVP_CIPHER
      objects in crypto/evp/digest.c, crypto/evp/evp_enc.c.
    - CVE-2022-3358

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 27 Oct 2022 13:05:01 -0400

openssl (3.0.5-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable (LP: #1987047). Remaining changes:
    - Replace duplicate files in the doc directory with symlinks.
    - d/libssl3.postinst: Revert Debian deletion
      + Skip services restart & reboot notification if needrestart is in-use.
      + Bump version check to to 1.1.1.
      + Use a different priority for libssl1.1/restart-services depending
        on whether a desktop, or server dist-upgrade is being performed.
      + Import libraries/restart-without-asking template as used by above.
    - Add support for building with noudeb build profile.
    - Revert "Enable system default config to enforce TLS1.2 as a
      minimum" & "Increase default security level from 1 to 2".

