=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: openssl
-Build-Depends: debhelper-compat (= 13), m4, bc, dpkg-dev (>= 1.15.7)
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.15.7)
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
