## openssl 3.0.13-0ubuntu3.5trisquel0

=== debian/changelog ===
openssl (3.0.13-0ubuntu3.5trisquel0) ecne-security; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 20 Feb 2025 23:48:42 +0000
