## openssl 3.0.13-0ubuntu3.6trisquel0

=== debian/changelog ===
openssl (3.0.13-0ubuntu3.6trisquel0) ecne-security; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 30 Sep 2025 18:51:06 +0000
