## openssl 3.0.14

=== debian/changelog ===
openssl (3.0.14-1~deb12u2+eseries1deb12) UNRELEASED; urgency=medium

  * Enable FIPS in the build process

 -- David Hoyer <dhoyer@netapp.com>  Fri, 26 May 2023 08:54:09 -0500

openssl (3.0.14-1~deb12u2) bookworm-security; urgency=medium

  * CVE-2024-6119 (Possible denial of service in X.509 name checks).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 01 Sep 2024 16:59:10 +0200

openssl (3.0.14-1~deb12u1) bookworm; urgency=medium

  * Import 3.0.14
    - CVE-2024-2511 (Unbounded memory growth with session handling in TLSv1.3)
      (Closes: #1068658).
    - CVE-2024-4603 (Excessive time spent checking DSA keys and parameters)
      (Closes: #1071972).
    - CVE-2024-4741 (Use After Free with SSL_free_buffers)
      (Closes: #1072113).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 15 Aug 2024 23:51:02 +0200

openssl (3.0.13-1~deb12u2) bookworm; urgency=medium

  * Revert "Improved detection of engine-provided private "classic"
    keys" (Closes: #1074764).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 05 Jul 2024 23:04:47 +0200

openssl (3.0.13-1~deb12u1) bookworm; urgency=medium

  * Import 3.0.13
   - CVE-2023-5678 (Fix excessive time spent in DH check / generation with
     large Q parameter value) (Closes: #1055473).
   - CVE-2023-6129 (POLY1305 MAC implementation corrupts vector registers on
     PowerPC) (Closes: #1060347).
   - CVE-2023-6237 (Excessive time spent checking invalid RSA public keys)
     (Closes: #1060858)
   - CVE-2024-0727 (PKCS12 Decoding crashes) (Closes: #1061582).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 03 Mar 2024 10:47:43 +0100
