## openssl 3.0.15

=== debian/changelog ===
openssl (3.0.15-1~deb12u1~mx21) mx; urgency=medium

  * Backport to MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 22 Dec 2024 15:56:40 +0000

openssl (3.0.15-1~deb12u1) bookworm; urgency=medium

  * Import 3.0.15
    - CVE-2024-5535 (SSL_select_next_proto buffer overread)
      (Closes: #1074487).
    - CVE-2024-9143 (Low-level invalid GF(2^m) parameters lead to OOB memory
      access) (Closes: #1085378).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 27 Oct 2024 15:16:28 +0100
