## openssl 3.0.16

=== debian/changelog ===
openssl (3.0.16-1~deb12u1) bookworm; urgency=medium

  * Import 3.0.15
    - CVE-2024-13176 (Timing side-channel in ECDSA signature computation)
      (Closes: #1094027).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 15 Apr 2025 21:59:18 +0200
