=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://openssl-library.org/source/ https://github.com/openssl/openssl/releases/download/.*openssl-(3.0.*).tar.gz
